curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"accountId": "<string>",
"subscriptionId": "<string>",
"subscriptionItemId": "<string>",
"organizationId": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"partnerSubscriptionId": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"state": "PROVISION-PENDING",
"billingStatus": "PENDING-VALIDATION",
"type": "ENTITLEMENT"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}{
"code": "server-feature-not-implemented",
"message": "<string>"
}Re-provision the Partner Subscription
Triggers a new partner provisioning sequence. This API is only available to CSPs. Calling this API will trigger the “AddSubscription” partner serivce callback.
curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/reprovision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"accountId": "<string>",
"subscriptionId": "<string>",
"subscriptionItemId": "<string>",
"organizationId": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"createdDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"partnerSubscriptionId": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"state": "PROVISION-PENDING",
"billingStatus": "PENDING-VALIDATION",
"type": "ENTITLEMENT"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}{
"code": "server-feature-not-implemented",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16Path Parameters
Partner Subscription ID
Query Parameters
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
1664Response
OK
The information managed in MarketONE about partner service provisioning.
MarketONE partner service provisioning record identifier.
256The ID of the MarketONE account associated with this partner service record. This ID is not returned when the API is called with a partner API key. This will be returned withwhen the API is called with an aggregator API key.
128The id of the SLM subscription associated with this partner service.
128The id of the SLM subscription Item associated with this partner service.
128The ID of the aggregator organization in MarketONE for which this record was created.
50The partner code as set by the partner admin in MarketONE.
15The product code defined by the partner identified by partner code.
128The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.
UNPROVISIONED, INACTIVE, ACTIVE, PAUSED, UPDATE-IN-PROGRESS, PAUSE-IN-PROGRESS, RESUME-IN-PROGRESS, CANCELLATION-IN-PROGRESS, CANCELLED 50The identifier returned by the partner from the "AddSubscription" callback.
256The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
Current state of the calls in regards to Create, Cancel and Reprovision Subscriptions. Used for state machine orchestration for MarketONE managed subscriptions.
PROVISION-PENDING, PROVISION-FAILED, PROVISION-COMPLETE, CANCELLATION-PENDING, CANCELLATION-FAILED, CANCELLATION-COMPLETE, CANCELLATION-FAILED-PROVISION, UPDATE-PENDING-ACTIVE, UPDATE-PENDING-INACTIVE, UPDATE-FAILED-ACTIVE, UPDATE-FAILED-INACTIVE, UPDATE-COMPLETE, UPDATE-METADATA-PENDING-ACTIVE, UPDATE-METADATA-PENDING-INACTIVE, UPDATE-METADATA-FAILED-ACTIVE, UPDATE-METADATA-FAILED-INACTIVE, PAUSE-PENDING-ACTIVE, PAUSE-PENDING-INACTIVE, PAUSE-FAILED-ACTIVE, PAUSE-FAILED-INACTIVE, PAUSE-FAILED-COMPENSATE-BY-RESUME, PAUSE-COMPLETE-ACTIVE, PAUSE-COMPLETE-INACTIVE, RESUME-PENDING-ACTIVE, RESUME-PENDING-INACTIVE, RESUME-FAILED-ACTIVE, RESUME-FAILED-INACTIVE, RESUME-COMPLETE, PARTNER-CANCELLED, PARTNER-UPDATED, PARTNER-INITIATED-SUBSCRIPTION-CANCEL-STARTED, PARTNER-INITIATED-SUBSCRIPTION-CANCEL-COMPLETE, PARTNER-INITIATED-SUBSCRIPTION-CANCEL-FAILED, CANCEL-CSP-EVENT-SENT-FOR-INACTIVITY, ACTIVATION-FAILED, AUTO-CANCEL-DUE-TO-INACTIVITY 50The status of the OTT billing partner subscription. PENDING-VALIDATION - the BILLING partner subscription creation was requested by the OTT partner and it requires validation, MarketONE triggered the OTP notification, aggregator sends the OTP to the consumer. The customer aggregator account details have not yet been validated as being correct. E.g. a MSISDN was provided, but we have not yet verified it belongs to the user. PENDING-CONFIRMATION - MarketONE successfully validated the BILLING partner subscription. All the BILLING partner subscription details are validated at this point, MarketONE awaiting confirmation from the customer via the OTT partner that they wish this partner subscription to be active for billing. ACTIVE - the BILLING partner subscription is available for billing CANCELLED - the BILLING partner subscription was canceled and can no longer be used for charges, but may be used for refunds if it had previously been active.
PENDING-VALIDATION, PENDING-CONFIRMATION, ACTIVE, CANCELLED 50the type of the partner subscription record; ENTITLEMENT - is when the partner subscription is represeting a entitlement relationship; BILLING - when the partner subscription is representing a billing relationship.
ENTITLEMENT, BILLING Was this page helpful?

